import { QueryBase } from '@mobicoop/ddd-library';
import { GeorouterSettings } from '../../types/georouter-settings.type';
import { Point } from '@modules/geography/core/domain/route.types';

export class GetRouteQuery extends QueryBase {
  readonly waypoints: Point[];
  readonly georouterSettings: GeorouterSettings;

  constructor(
    waypoints: Point[],
    georouterSettings: GeorouterSettings = {
      detailedDistance: false,
      detailedDuration: false,
      points: true,
    },
  ) {
    super();
    this.waypoints = waypoints;
    this.georouterSettings = georouterSettings;
  }
}
